<h1 class="ui header">New Event</h1>

<%= form_with(model: @diet_incompatibility, local: true, class: 'ui form') do |form| %>
  <% if @diet_incompatibility.errors.any? %>
    <div class="ui message">
      <h2 class="ui header">
        <%= pluralize(@diet_incompatibility.errors.count, 'error') %> prohibited
        this Diet Incompatibility from being saved:
      </h2>

      <ul class="list">
        <% @diet_incompatibility.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="ui field">
    <%= form.label :restaurant_id %>
    <%=
      form.select(
        :restaurant_id,
        options_for_select(Restaurant.order(:name).pluck(:name, :id), form.object.restaurant_id),
        { include_blank: true },
        class: 'ui fluid search dropdown'
      )
    %>
  </div>

  <div class="actions">
    <%=
      form.submit(
        class: 'ui primary button',
        data: {
          confirm: 'NOTE: Incompatibilities should only be added if there is ' \
            'very little for you to eat at this restaurant. Please ensure that ' \
            "you have read the restaurant's menu before going this route.\n\n" \
            "Examples for valid diet incompatibilities include:\n" \
            "* You are a vegan, and the restaurant only serves traditional barbecue.\n" \
            "* You do not eat gluten, and the restaurant only serves pasta.\n" \
            '* You do not eat raw fish, and the restaurant only serves sushi.'
        }
      )
    %>
  </div>
<% end %>

<br>

<%= link_to 'Back', diet_incompatibilities_path, class: 'ui button' %>
